package agilpizza.modelo;

import static junit.framework.Assert.*;

import java.util.ArrayList;
import java.util.List;

import org.junit.Test;

public class CategoriaBebidaTest {

	@Test
	public void testeCategoriaPossuiNome() throws Exception {

		String nomeDaCategoria = "Refrigerante";
		CategoriaBebida categoria = new CategoriaBebida(nomeDaCategoria, null);
		assertEquals("Categoria deve ter nome especificado.", nomeDaCategoria,
				categoria.getNome());
		assertNull("Categoria testada não tem bebidas", categoria.getBebidas());
	}

	@Test
	public void testeCategoriaPossuiBebidas() {
		String nomeDaCategoria = "Refrigerante";
		List<Bebida> bebidas = new ArrayList<Bebida>();
		bebidas.add(new Bebida("Coca cola"));
		bebidas.add(new Bebida("Guaraná"));

		CategoriaBebida categoria = new CategoriaBebida(nomeDaCategoria,
				bebidas);
		List<Bebida> bebidasDaCategoria = categoria.getBebidas();
		assertNotNull("Bebidas da categoria não pode ser nulo",
				bebidasDaCategoria);
		assertTrue("Bebidas da categoria devem ser as especificadas",
				bebidasDaCategoria.equals(bebidas));
	}
}
